Welcome to the Django hvad documentation!

About this project

django-hvad provides a high level API to maintain multilingual content in your database using the Django ORM.

Please note that this documentation assumes that you are familiar with Django and Python, if you are not, please familiarize yourself with those first.

Notes on Django versions

The guideline is hvad supports all Django versions that are supported by the Django team. This holds true for Long-Term Support releases as well. Support for new versions will usually be introduced when they reach the beta stage.

Thus, django-hvad 1.1 is tested on the following configurations:

  • Django 1.4.19, running Python 2.7.
  • Django 1.5.12, running Python 2.7 or 3.3.
  • Django 1.6.10, running Python 2.7 or 3.3.
  • Django 1.7.4, running Python 2.7, 3.3 or 3.4.
  • Django 1.8.0, running Python 2.7, 3.3 or 3.4.

All tests are run against MySQL and PostgreSQL.